using System;

public static class zadatakdva
{
    internal static void Main()
    {
        double n; n = double.Parse(Console.ReadLine());
        double[] ge = new double[20000]; double[] ka = new double[20000];
        
        double max = 0;
        for (int i = 0; i < n; i++)
        {
            string[]s = Console.ReadLine().Split();
            ge[i] = double.Parse(s[0]);
            ka[i] = double.Parse(s[1]);
        }
        for (int i = 0; i < n; i++)
        {
            double m = 0;
            for (int j = 0; j < n; j++)
            {
                if (ka[i] > ka[j]) m += 0;

                else m += ge[j];
            }
            double x = m * ka[i] / 100;
            if (x > max)  max = x;
        }
        Console.WriteLine(max);
    }

}